
# Changelog config-win10

## [4.2.0-6] - 2025-06-16

### Added:
 * opsi-meta-data.toml file 
   added for background install
  using opsi-setup-detector - Version: 4.3.7.0

(d.oertel <d.oertel@uib.de>)

[Changelog]
config-win10 (4.2.0-5); stable; urgency=low

  * corrected behaviour of property "show_thispc_instead_of_quicklaunch"

 -- Mathias Radtke <m.radtke@uib.de> Thu, 11 Apr 2024 11:37:00 +0200

config-win10 (4.2.0-4); stable; urgency=low

  * fixed advertising ID

 -- Mathias Radtke <m.radtke@uib.de> Thu, 04 Mar 2024 11:37:00 +0200

config-win10 (4.2.0-3); stable; urgency=low

  * Added property to select the status of numlock on boot.

 -- Terry Strooband <t.strooband@dgip.nl>  Wed, 14 May 2023 16:04:00 +0000

config-win10 (4.2.0-2); stable; urgency=low

  * Added property to require pressing ctrl+alt+del before logging in.
  * Added property to automatically lock computer after a number of minutes.

 -- Terry Strooband <t.strooband@dgip.nl>  Tue, 16 May 2023 14:32:00 +0000

config-win10 (4.2.0-1); stable; urgency=low

  * Changed remove_edge_from_desktop property to use the Chromium-based policies.
  * Added properties to control the experimentation service of edge update and edge webview.
  * Spelling fixes
  * Corrected the number of days in deferqualityupdatesperiodindays, also corrected order of the values.
  * Corrected the number of days in deferfeatureupdatesperiodindays, also corrected order of the values.
  * Changed the name of online_search to disable_online_search.
  * Removed double registry calls to shared registry keys (IE: the same contents in 32-bit and in 64-bit parts of the registry).
  * Added missing sysnative parameters to a few registry calls
  * Removed registry entry for local machine that was in an all users section.
  * Changed config_updates if-section to a switch-case.
  * General cleanup of setup script.

 -- Terry Strooband <t.strooband@dgip.nl>  Tue, 16 May 2023 12:36:00 +0000

config-win10 (4.1.2-3); stable; urgency=low

  * corrected in login-section command $show_all_folder_in_navbar$ = false, sectioncall Registry_hkcu_hide_all_folders
  * section Registry_hkcu_enable_sending_feedback: set "PeriodInNanoSeconds" change data type to reg_qword

 -- Thomas Fritzsche <t.fritzsche@uib.de>  Fri, 09 Dec 2022 10:00:18 +0000

config-win10 (4.1.2-2); stable; urgency=low

  * corrected behaviour when Windows Defender is set to enable again

 -- Mathias Radtke <m.radtke@uib.de> Tue 13 Jul 2021 09:43:00 +0200

config-win10 (4.1.2-1); stable; urgency=low

  * added new property "disable_news_and_interest"

 -- Mathias Radtke <m.radtke@uib.de> Wed 09 Jun 2021 14:43:00 +0200

config-win10 (4.1.1-12); stable; urgency=low

  * renamed "disable_mac" to "wlid_service"
  * "wlid_service" has more options

-- Mathias Radtke <m.radtke@uib.de> Mon, 31 May 2021 14:20:00 +0200

config-win10 (4.1.1-11); stable; urgency=low

  * Added new property: disable_delivery_optimization
    https://social.technet.microsoft.com/Forums/en-US/907b9069-9f05-43ae-acc0-29e124c5307e/how-can-i-turn-off-the-dosvc-service?forum=win10itprogeneral

 -- Thomas Fritzsche <t.fritzsche@uib.de>  Tue, 27 apr 2021 07:42:00 +0000

config-win10 (4.1.1-10); stable; urgency=low

  * Added new property: disable_automatic_logon_on_reboot

 -- Terry Strooband <t.strooband@dgip.nl>  Tue, 21 Jan 2020 12:51:34 +0000

config-win10 (4.1.1-9); stable; urgency=low

  * removed setting dword SetDisableUXWUAccess in enable/disable updates section
  * corrected dword settings for navbar/folders
  * added property to disable update button

 -- Mathias Radtke <m.radtke@uib.de> Fri, 17 Jan 2020 14:30:00 +0200

config-win10 (4.1.1-8);. stable; urgency=low
  * new property oobeDisablePrivacyExperience
	https://www.tenforums.com/tutorials/118840-enable-disable-privacy-settings-experience-sign-windows-10-a.html
	https://winaero.com/blog/disable-privacy-experience-windows-10/
	https://forum.opsi.org/viewtopic.php?t=11191

-- Bardo Wolf <b.wolf@uib.de> Wed, 16 Oct 2019

conifg-win10 (4.1.1-7); stable; urgency=low

  * added new property: local_wsus_available
  * corrected behaviour when disabling updates
  * deleting key "DisableDualScan" instead of disabling option to prevent problems with 1607 LTSB

 -- Mathias Radtke <m.radtke@uib.de> Thu, 15 Aug 2019 11:15:00 +0200

config-win10 (4.1.1-6);. stable; urgency=low
  * removing key SetDisableUXWAccess when enabling updates
  * new property: no_new_app_install_notification

 -- Mathias Radtke <m.radtke@uib.de> Tue, 07 May 2018 10:41:00 +0200

config-win10 (4.1.1-5); stable; urgency=low
  * try to fix errors in Registry_hkcu_enable_settings_sync
  * removed ;Registry_hklm_update_enable_search /sysnative
  * added (see https://docs.microsoft.com/en-us/windows/deployment/update/waas-configure-wufb)
          property DeferFeatureUpdatesPeriodInDays
          property DeferQualityUpdatesPeriodInDays
 -- Bardo Wolf <b.wolf@uib.de> Wed, 30 Nov 2018

config-win10 (4.1.1-4); stable; urgency=low
  * Property name: disable_smbv1 default set to true
  * remove in Login Mode erroneouasly /ALLNTUSERDATS
  * split minimize_recommendation in hkcu and hklm, add hkcu to Login Mode
  * change show_all_folder_in_navbar to /ALLNTUSERDATS and add to Login mode
  * change show_thispc_instead_of_quicklaunch to /ALLNTUSERDATS and add to Login mode
  * change hide_known_file_extensions to /ALLNTUSERDATS and add to Login mode
  * change disable_app_suggestion_in_startmenu to /ALLNTUSERDATS and add to Login mode
  * change disable_recent_apps to /ALLNTUSERDATS and add to Login mode
  * change disable_suggested_silent_app_installation to /ALLNTUSERDATS and add to Login mode
  * change disable_error_report to /ALLNTUSERDATS and add to Login mode

  * Registry_hklm_disable_push added 32AND 64Bit
  * Registry_hklm_do_publish added 32AND 64Bit

 -- Bardo Wolf <b.wolf@uib.de> Wed, 28 Nov 2018

config-win10 (4.1.1-3); stable; urgency=low

  * fixed double initialization of disable_update_service

-- Mathias Radtke <m.radtke@uib.de> Wed, 21 Nov 2018 11:20:00 +0200

config-win10 (4.1.1-2); stable; urgency=low

  * corrected userlogin script behaviour

 -- Mathias Radtke <m.radtke@uib.de> Wed, 14 Nov 2018 14:00:00 +0100

config-win10 (4.1.1-1); stable; urgency=low

  * added new properties:
    * disable_push_install
    * disable_error_report
    * disable_suggested_silent_app_installation
    * disable_app_suggestion_in_startmenu
    * minimize_recommendations
    * hide_known_file_extensions
    * allow_useractivity_publishing
    * remove_edge_from_desktop
    * show_thispc_instead_of_quicklaunch
    * show_drive_letter_first
    * show_all_folder_in_navbar

 -- Mathias Radtke <m.radtke@uib.de> Tue, 25 Sep 2018 13:40:00 +0200

config-win10 (4.1.0-5); stable; urgency=low

  * New property: disable_updates_service
  * on 64bit systems: set registry sysnative and 32bit

 -- Mathias Radtke <m.radtke@uib.de> Fri, 31 Aug 2018 11:08:00 +0200

config-win10 (4.1.0-4); stable; urgency=low

  * reworked disable_updates function

 -- Mathias Radtke <m.radtke@uib.de> Tue, 21 Aug 2018 10:33:00 +0200

config-win10 (4.1.0-3); stable; urgency=low

  * Added registry settings to diable dualscan when using disable_updates property

 -- Mathias Radtke <m.radtke@uib.de> Fri, 17 Aug 2018 11:46:00 +0200
config-win10 (4.1.0-2); stable; urgency=low

  * fixes #3496 windows 10 1803: websuche abschalten geändert
  * adding loginscript and fixes allntuserdats

 -- Bardo Wolf <b.wolf@uib.de> Mon, 07 May 2018 10:50:00 +0200


config-win10 (4.1.0-1); stable; urgency=low

  * fixed flashplayer architecture logic

 -- Andre Neugebauer <a.neugebauer@uib.de> Mon, 16 Apr 2018 14:50:00 +0200

config-win10 (4.0.7-8); stable; urgency=low

  * fixed broken loginscript setup
  * fixed autoroate disable when using disable_sensors property on Surface devices

 -- Mathias Radtke <m.radtke@uib.de> Tue, 17 Oct 2017 14:50:00 +0200

config-win10 (4.0.7-7); stable; urgency=low

  * disable_smbv1 added
  * power_plan added

 -- Mathias Radtke <m.radtke@uib.de> Fri, 01 Sep 2017 15:40:00 +0200

config-win10 (4.0.7-6); stable; urgency=low

  * fixed various bugs in the script flow
  * removed ProfileAction section
  * removed force_login_script property -> actually did nothing
  * removed boot_to_desktop property -> win81 legacy property

 -- Mathias Radtke <m.radtke@uib.de> Tue, 09 May 2017 14:00:00 +0200

config-win10 (4.0.7-5); stable; urgency=low

  * deactivate adobe flash autorun
  * disable location and sensors
  * disable online search
  * disable share of handwriting telemetry
  * disable settings sync

 -- Mathias Radtke <m.radtke@uib.de> Wed, 22 Feb 2017 10:42:00 +0100

config-win10 (4.0.7-4); stable; urgency=low

  * defer-upgrade: it's back

 -- Mathias Radtke <m.radtke@uib.de> Tue, 24 Jan 2017 13:50:00 +0100

config-win10 (4.0.7-3); stable; urgency=low

  * disable_mac: fixed usage of wring registry key

 -- Mathias Radtke <m.radtke@uib.de> Fri, 12 Dez 2016 14:32:00 +0100

config-win10 (4.0.7-2); stable; urgency=low

  * fixed syntax error in profile section

 -- Mathias Radtke <m.radtke@uib.de> Thu, 08 Dec 2016 12:23:00 +0100

config-win10 (4.0.7-1) ; testing urgency=low

  * disable: windows updates, feedback sending, wifi sense, defender, account communication, advertising ID

 -- m.radtke <m.radtke@uib.de> Tue, 10 Aug 2016 11:00:00 + 0200

config-win10 (4.0.6-7) tetsing; urgency=low

  * Added new property to disable the OneDrive application

 -- m.radtke <m.radtke@uib.de> Mon, 23 Mar 2016 08:42:00 + 0100

config-win10 (4.0.6-6) experimental; urgency=low

  * Added option to defer upgrades (8 months) and updates (4 weeks)

 -- m.radtke <m.radtke@uib.de> Mon, 15 Feb 2016 13:55:00 + 0100

config-win10 (4.0.6-5) testing; urgency=low

  * Added new property to disable update search

 -- m.radtke <m.radtke@uib.de> Tue, 03 Nov 2015 14:30:00 + 0100

config-win10 (4.0.6-4) experimental; urgency=low

  * Added new property to change windows update behavior

 -- m.radtke <m.radtke@uib.de> Tue, 15 Sep 2015 14:33:00 + 0200

config-win10 (4.0.6-3) experimental; urgency=low

  * diverged disable_telemetry into more properties

 -- m.radtke <m.radtke@uib.de> Fri, 11 Sep 2015 15:31:00 + 0200

config-win10 (4.0.6-2) experimental; urgency=low

  * all reg entries change values
  * removed disable_charms property

 -- m.radtke <m.radtke@uib.de> Fri, 11 Sep 2015 11:10:00 + 0200

config-win10 (4.0.6-1) experimental; urgency=low

  * added all known windows 10 telemetry registry keys

 -- m.radtke <m.radtke@uib.de> Thu, 10 Sep 2015 17:06:00 + 0200

